%global commit0 254b36b51f29874ce6866f4ebd0dc120b4a11c10
%global date 20170919
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7}) 

%global eflver 1.7.10

Name:           moksha-pulsemixer
Version:        0.0.1
Release:        1%{?shortcommit0:.%{date}git%{shortcommit0}}%{?dist}
License:        BSD
Summary:        Mixer module for Moksha with better pulse audio support
Url:            https://github.com/JeffHoogland/moksha-pulsemixer
Source:         https://github.com/JeffHoogland/moksha-pulsemixer/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

BuildRequires:  automake
BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  gettext-devel
BuildRequires:  libtool
BuildRequires:  moksha-desktop-devel
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libpulse-simple)
BuildRequires:  pkgconfig(ecore) >= %{eflver}
BuildRequires:  pkgconfig(ecore-file) >= %{eflver}
BuildRequires:  pkgconfig(edbus) >= %{eflver}
BuildRequires:  pkgconfig(eet) >= %{eflver}
BuildRequires:  pkgconfig(elementary)
Requires:       moksha-desktop


%description
A mixer module for Moksha with better pulse audio support.

Based on epulse module from upstream E19


%prep
%autosetup -n %{name}-%{commit0}


%build
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static --disable-rpath 
%{make_build}


%install
%{make_install} PACKAGE_DATA_DIR=%{_datadir}/moksha

find %{buildroot} -name '*.la' -delete

%find_lang epulse

desktop-file-install --delete-original \
  --remove-category="Sound" --add-category="Mixer" \
  --dir=%{buildroot}%{_datadir}/applications \
  --remove-key="Encoding" \
  %{buildroot}/%{_datadir}/applications/epulse.desktop


%files -f epulse.lang
%doc README.md TODO
%{_bindir}/*
%{_libdir}/enlightenment/modules/epulse
%{_libdir}/libepulse.so
%{_datadir}/applications/*.desktop
%{_datadir}/epulse
%{_datadir}/icons/*



%changelog
* Tue Sep 19 2017 Samuel Rakitničan <samuel.rakitnican@gmail.com> - 0.0.1-1.20170919git254b36b
- Update to 254b36b
- Require moksha-desktop

* Sun Sep 17 2017 Samuel Rakitničan <samuel.rakitnican@gmail.com> - 0.0.1-1.20170917git0f0fb7b
- Initial build
